Platform (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.appdef.server.session.Platform class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.appdef.server.session
Class Platform

    java.lang.Object
      org.hyperic.hibernate.PersistedObject
          org.hyperic.hq.appdef.AppdefBean
              org.hyperic.hq.appdef.server.session.AppdefNamedBean
                  org.hyperic.hq.appdef.server.session.AppdefResource
                      org.hyperic.hq.appdef.server.session.PlatformBase
                          org.hyperic.hq.appdef.server.session.Platform

All Implemented Interfaces:
  java.io.Serializable, ContainerManagedTimestampTrackable, HasAuthzOperations

    public class Platform

extends PlatformBase
implements HasAuthzOperations

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.hyperic.hq.appdef.server.session.AppdefNamedBean
`description, location, modifiedBy, name, sortName`

Fields inherited from class org.hyperic.hq.appdef.AppdefBean
`cid, creationTime, modifiedTime`

Constructor Summary
`Platform()`

Method Summary
`protected java.lang.String` | `_getAuthzOp(java.lang.String op)`
`Ip` | `addIp(java.lang.String address, java.lang.String netmask, java.lang.String macAddress)`
`boolean` | `equals(java.lang.Object obj)`
`Agent` | `getAgent()`
`AppdefResourceType` | `getAppdefResourceType()`
`AppdefResourceValue` | `getAppdefResourceValue()`
`java.lang.String` | `getCommentText()`
`ConfigResponseDB` | `getConfigResponse()`
`java.util.Collection` | `getIps()`
`PlatformType` | `getPlatformType()`
`PlatformValue` | `getPlatformValue()` Deprecated. use (this) Platform object instead
`java.util.Collection` | `getServers()`
`java.util.Collection` | `getServersBag()`
`boolean` | `matchesValueObject(PlatformValue obj)` Compare this entity to a value object (legacy code from entity bean)
`Ip` | `removeIp(java.lang.String address, java.lang.String netmask, java.lang.String macAddress)`
`void` | `setAgent(Agent agent)`
`Ip` | `updateIp(java.lang.String address, java.lang.String netmask, java.lang.String macAddress)`

Methods inherited from class org.hyperic.hq.appdef.server.session.PlatformBase
`getCertdn, getCpuCount, getEntityId, getFqdn, hashCode, setCertdn, setCpuCount, setFqdn`

Methods inherited from class org.hyperic.hq.appdef.server.session.AppdefResource
`getName, getResource, getSortName, setName, setResource, setSortName`

Methods inherited from class org.hyperic.hq.appdef.server.session.AppdefNamedBean
`getAuthzOp, getDescription, getLocation, getModifiedBy, setDescription, setLocation, setModifiedBy`

Methods inherited from class org.hyperic.hq.appdef.AppdefBean
`allowContainerManagedCreationTime, allowContainerManagedLastModifiedTime, getCid, getCreationTime, getCTime, getModifiedTime, getMTime, matchesValueObject, setCid, setCreationTime, setModifiedTime`

Methods inherited from class org.hyperic.hibernate.PersistedObject
`get_version_, getId, set_version_, setId`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.hyperic.hq.authz.HasAuthzOperations
`getAuthzOp`

Constructor Detail

### Platform

    public Platform()

Method Detail

### getCommentText

    public java.lang.String getCommentText()

### getPlatformType

    public PlatformType getPlatformType()

### getConfigResponse

    public ConfigResponseDB getConfigResponse()

### getAgent

    public Agent getAgent()

### setAgent

    public void setAgent(Agent agent)

### getIps

    public java.util.Collection getIps()

### addIp

    public Ip addIp(java.lang.String address,
                    java.lang.String netmask,
                    java.lang.String macAddress)

### removeIp

    public Ip removeIp(java.lang.String address,
                       java.lang.String netmask,
                       java.lang.String macAddress)

### updateIp

    public Ip updateIp(java.lang.String address,
                       java.lang.String netmask,
                       java.lang.String macAddress)

### getServers

    public java.util.Collection getServers()

  Returns:
    the readonly collection of servers

### getServersBag

    public java.util.Collection getServersBag()

  Returns:
    the persisted hibernate Bag of servers

### matchesValueObject

    public boolean matchesValueObject(PlatformValue obj)

  Compare this entity to a value object (legacy code from entity bean)

  Returns:
    true if this platform is the same as the one in the val obj

### getPlatformValue

    public PlatformValue getPlatformValue()

  Deprecated. use (this) Platform object instead

  legacy EJB DTO pattern

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `PlatformBase`

### getAppdefResourceType

    public AppdefResourceType getAppdefResourceType()

  Specified by:
    `getAppdefResourceType` in class `AppdefNamedBean`

### getAppdefResourceValue

    public AppdefResourceValue getAppdefResourceValue()

  Specified by:
    `getAppdefResourceValue` in class `AppdefNamedBean`

### _getAuthzOp

    protected java.lang.String _getAuthzOp(java.lang.String op)

  Specified by:
    `_getAuthzOp` in class `AppdefNamedBean`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.